body {
    margin: 0;
    padding: 0;
    font-family: sans-serif;
    direction: rtl;

    background: linear-gradient(160deg, #d6d6d6 0% , #696868 40% , #6a6a6a 54% , #0a2638 55% , #0b344d 100%); 
    background-attachment: fixed;

    display: flex;
    justify-content: center;
    align-items: start;
    padding-top: 30px;
    min-height: 100vh;

    overflow-x: hidden;
    font-family: 'vairmatn', sans-serif;
}


.container {
    text-align: center;
    width: 100%;
    max-width: 900px;
}

/* لوگو */
.logo{
    width: 150px;
    height: 150px;
    border-radius: 50%; 
    object-fit: cover;
    margin: 15px auto 30px;
    display: block;
    box-shadow: 0 0 20px #ece6e6f5;
}

/* متن زیر لوگو */
.text {
    margin: 0 auto 40px;
    width: 70%;
    font-size: 20px;
    line-height: 1.9;
    color: #e0e0e0;
    text-shadow: 0 1px 2px rgb(0,0,0,0.5);
}

.text1{
    color: #fdfcfc;
    
}

/* پاپ آپ تماس */
.call-modal {
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,0.65);
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 999;
}

.call-box {
    background: linear-gradient(145deg,#f2f2f2,#dcdcdc);
    border-radius: 18px;
    padding: 22px;
    width: 90%;
    max-width: 320px;
    text-align: center;
    font-family: 'Vazirmatn';
    animation: popup 0.35s ease;
}

.soon-box {
    background: linear-gradient(145deg, #f4f4f4, #dedede);
    border-radius: 18px;
    padding: 26px 22px;
    width: 90%;
    max-width: 300px;
    text-align: center;
    font-family: 'Vazirmatn';
    animation: popup 0.35s ease;
    box-shadow: 0 8px 20px #00000033;
}

.soon-box h3 {
    margin-bottom: 12px;
    font-weight: 500;
    color: #0a2a43;
}

.soon-box p {
    font-size: 15px;
    color: #333;
    margin-bottom: 16px;
}

@keyframes popup {
    from {
        transform: scale(0.85);
        opacity: 0;
    }
    to {
        transform: scale(1);
        opacity: 1;
    }
}

.call-box h3 {
    margin-bottom: 16px;
    font-weight: 500;
    color: #0a2a43;
}

.call-btn {
    display: block;
    text-decoration: none;
    background: #0a2a43;
    color: #fff;
    padding: 13px;
    margin: 10px 0;
    border-radius: 12px;
    font-size: 15px;
    transition: 0.3s;
}

.call-btn:hover {
    background: #08304f;
    transform: scale(1.03);
}

.close-btn {
    margin-top: 14px;
    padding: 10px 18px;

    background: linear-gradient(145deg, #e6e6e6, #cfcfcf);
    color: #333;

    border: 1px solid #bdbdbd;
    border-radius: 30px;

    font-family: 'Vazirmatn';
    font-size: 14px;
    font-weight: 500;

    cursor: pointer;
    transition: all 0.3s ease;
}

.close-btn:hover {
    background: linear-gradient(145deg, #dcdcdc, #bfbfbf);
    color: #000;
    transform: scale(1.05);
}

.close-btn:active {
    transform: scale(0.95);
}

/* باکس‌ها */
.links {
    display: grid;
    grid-template-columns: repeat(2, auto);  /* 2 ستون با پهنای خودکار */
    gap: 22px;                               /* فاصله منظم بین باکس‌ها */
    justify-content: center;                 /* کل گرید وسط */
    width: 100%;
   
}

.portfolio{
    grid-column: span 2;
    width: 100% !important;
}

/* باکس‌ها – نسخه حرفه‌ای */
.box {
    width: 180px;                /* اندازه ثابت و مهندسی‌شده */
    height: 85px;
    background: rgba(255, 255, 255, 0.60);
    backdrop-filter: blur(8px);
    border-radius: 18px;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    text-decoration: none;
    font-size: 17px;
    font-weight: bold;
    color: #0e0d0d;

    transition: .30s;
    box-shadow: 0 4px 12px #00000033;
}

.box:hover {
    transform: translateY(-4px);
    box-shadow: 0 6px 18px #00000055;
}

/* آیکون */
.box img {
    width: 40px;
    margin-bottom: 6px;
}

/* موبایل */
@media (max-width: 600px) {

    .logo {
        width: 120px;
        height: 120px;
        margin: 20px auto 25px;
    }

    .text {
        width: 90%;
        font-size: 16px;
        margin-bottom: 30px;
        text-shadow: 0 1px 2px rgb(0,0,0,0.5);
    }

    .links{
        grid-template-columns: repeat(2 , auto);
        gap: 16px;
        justify-content: center;
    }

    .box{
        width: 165px;
        height: 80px;
    }

    .portfolio{
        grid-column: span 2;
        width: 100% !important;
        height: 83px;
    }
}